% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Histo2Hindcast.R
\name{Histo2Hindcast}
\alias{Histo2Hindcast}
\title{Chunk long simulations for comparison with hindcasts}
\usage{
Histo2Hindcast(
  data,
  sdatesin,
  sdatesout,
  nleadtimesout,
  sdate_dim = "sdate",
  ftime_dim = "ftime",
  ncores = NULL
)
}
\arguments{
\item{data}{A numeric array of model or observational data with dimensions
at least sdate_dim and ftime_dim.}

\item{sdatesin}{A character string of the start date of 'data'. The format
should be 'YYYYMMDD' or 'YYYYMM'.}

\item{sdatesout}{A vector of character string indicating the expected start 
dates of the output. The format should be 'YYYYMMDD' or 'YYYYMM'.}

\item{nleadtimesout}{A positive integer indicating the length of leadtimes of
the output.}

\item{sdate_dim}{A character string indicating the name of the sdate date 
dimension of 'data'. The default value is 'sdate'.}

\item{ftime_dim}{A character string indicating the name of the lead time 
dimension of 'data'. The default value is 'ftime'.}

\item{ncores}{An integer indicating the number of cores to use for parallel 
computation. The default value is NULL.}
}
\value{
A numeric array with the same dimensions as data, except the length
 of sdate_dim is 'sdatesout' and the length of ftime_dim is nleadtimesout.
}
\description{
Reorganize a long run (historical typically) with only one start date into 
chunks corresponding to a set of start dates. The time frequency of the data
should be monthly.
}
